Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding
Interface DataControl

All Known Subinterfaces:
  ManagedDataControl, TransactionalDataControl

public interface DataControl

An interface through which the Data Binding Facility interacts with a Service. An implementation of DataControl interface provides generic adaptation for a Service and Model technology. For example, a generic SessionBean DataControl can be written to handle interaction with any EJB session beans.
The DataControl is to be implemented by someone who is familiar with the service whose values and operations will be exposed to the view layer.
The DataControl is to be used exclusively by Tooling and the Data Binding facility to adapt different Services. It is not to be used directly by the View or Controller to access Services and Model.

Field Summary
`static int` | `REL_ALL_REFS` Release all references held in the data control.
`static int` | `REL_DATA_REFS` Release only the data provider (Business Service) references
`static int` | `REL_VIEW_REFS` Hold on to the data references and release the View references if held on the datacontrol.
`static int` | `REL_WEAK_DATA_REFS` This is a weak data release.

Method Summary
`java.lang.Object` | `getDataProvider()` Returns the Business Service Object that this datacontrol is associated with.
`java.lang.String` | `getName()` Returns name to identify this datacontrol inside a BindingContext.
`boolean` | `invokeOperation(java.util.Map bindingContext, OperationBinding action)` All OperationBindings should first delegate to the DataControl associated with the binding to perform the action.
`void` | `release(int flags)` Based on the value of the flags parameter, releases all references to the objects in the data provider layer Valid values for flags are: `REL_ALL_REFS` - if this data control should release all references to both the view and model objects.

Field Detail

### REL_ALL_REFS

    public static final int REL_ALL_REFS

  Release all references held in the data control.
  See Also:
    Constant Field Values

### REL_DATA_REFS

    public static final int REL_DATA_REFS

  Release only the data provider (Business Service) references
  See Also:
    Constant Field Values

### REL_VIEW_REFS

    public static final int REL_VIEW_REFS

  Hold on to the data references and release the View references if held on the datacontrol.
  See Also:
    Constant Field Values

### REL_WEAK_DATA_REFS

    public static final int REL_WEAK_DATA_REFS

  This is a weak data release. This may be specified by a DataControl to release data refs that do not rely upon any session state like iterator currency. These references are typical cache references and may be rebuilt at any time using the DataControl.
  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns name to identify this datacontrol inside a BindingContext.

### release

    public void release(int flags)

  Based on the value of the flags parameter, releases all references to the objects in the data provider layer Valid values for flags are:
  - `REL_ALL_REFS` - if this data control should release all references to both the view and model objects.
  - `REL_DATA_REFS` - if this data control should release all references to data provider objects. The likely usage would be when say an Application Module is to be checked into a pool and this data-control may be given that or another checked out AM to work with subsequently.
  - `REL_VIEW_REFS` - if this data control should release all references to the UI/View layer objects.
  Parameters:
    `flags` - Indicates what references in the datacontrol should be released. Valid values are listed above.

### getDataProvider

    public java.lang.Object getDataProvider()

  Returns the Business Service Object that this datacontrol is associated with.
  Returns:
    The underlying business service object.

### invokeOperation

    public boolean invokeOperation(java.util.Map bindingContext,
                                   OperationBinding action)

  All OperationBindings should first delegate to the DataControl associated with the binding to perform the action. DataControls may choose to interpret a given action differently based on the data/collection that action is bound to.
  Returns:
    true if this datacontrol has handled this action, false if the action should be interpreted in the bindings framework or in the caller.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.